# Uses of Class
org.jsoup.parser.ParseSettings

Packages that use ParseSettings
Package
Description
org.jsoup.nodes
HTML document structure nodes.
org.jsoup.parser
Contains the HTML parser, tag specifications, and HTML tokeniser.

## Uses of ParseSettings in org.jsoup.nodes

Methods in org.jsoup.nodes with parameters of type ParseSettings
Modifier and Type
Method
Description
`int`
Attributes.`deduplicate(ParseSettings settings)`
Internal method.

## Uses of ParseSettings in org.jsoup.parser

Fields in org.jsoup.parser declared as ParseSettings
Modifier and Type
Field
Description
`static final ParseSettings`
ParseSettings.`htmlDefault`
HTML default settings: both tag and attribute names are lower-cased during parsing.
`static final ParseSettings`
ParseSettings.`preserveCase`
Preserve both tag and attribute case.
`protected ParseSettings`
TreeBuilder.`settings`
`protected ParseSettings`
TreeBuilder.`settings`
Methods in org.jsoup.parser that return ParseSettings
Modifier and Type
Method
Description
`ParseSettings`
Parser.`settings()`
Gets the current ParseSettings for this Parser
Methods in org.jsoup.parser with parameters of type ParseSettings
Modifier and Type
Method
Description
`Parser`
Parser.`settings(ParseSettings settings)`
Update the ParseSettings of this Parser, to control the case sensitivity of tags and attributes.
`static Tag`
Tag.`valueOf(String tagName, ParseSettings settings)`
Get a Tag by name.